---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Class Members - Functions</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li class="current"><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="navrow3" class="tabs2">
    <ul class="tablist">
      <li><a href="functions.html"><span>All</span></a></li>
      <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
      <li><a href="functions_vars.html"><span>Variables</span></a></li>
      <li><a href="functions_type.html"><span>Typedefs</span></a></li>
      <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
      <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    </ul>
  </div>
  <div id="navrow4" class="tabs3">
    <ul class="tablist">
      <li><a href="functions_func.html#index_a"><span>a</span></a></li>
      <li><a href="functions_func_b.html#index_b"><span>b</span></a></li>
      <li><a href="functions_func_c.html#index_c"><span>c</span></a></li>
      <li><a href="functions_func_d.html#index_d"><span>d</span></a></li>
      <li><a href="functions_func_e.html#index_e"><span>e</span></a></li>
      <li><a href="functions_func_f.html#index_f"><span>f</span></a></li>
      <li><a href="functions_func_g.html#index_g"><span>g</span></a></li>
      <li><a href="functions_func_h.html#index_h"><span>h</span></a></li>
      <li><a href="functions_func_i.html#index_i"><span>i</span></a></li>
      <li><a href="functions_func_k.html#index_k"><span>k</span></a></li>
      <li><a href="functions_func_l.html#index_l"><span>l</span></a></li>
      <li><a href="functions_func_m.html#index_m"><span>m</span></a></li>
      <li><a href="functions_func_o.html#index_o"><span>o</span></a></li>
      <li><a href="functions_func_p.html#index_p"><span>p</span></a></li>
      <li class="current"><a href="functions_func_r.html#index_r"><span>r</span></a></li>
      <li><a href="functions_func_s.html#index_s"><span>s</span></a></li>
      <li><a href="functions_func_t.html#index_t"><span>t</span></a></li>
      <li><a href="functions_func_u.html#index_u"><span>u</span></a></li>
      <li><a href="functions_func_v.html#index_v"><span>v</span></a></li>
      <li><a href="functions_func_w.html#index_w"><span>w</span></a></li>
      <li><a href="functions_func_0x7e.html#index_0x7e"><span>~</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a class="anchor" id="index_r"></a>- r -</h3><ul>
<li>RadioButtonRenderer()
: <a class="el" href="classtgui_1_1RadioButtonRenderer.html#aa1b389bc0fe2adf81a255431b2ea7f3a">tgui::RadioButtonRenderer</a>
</li>
<li>readFile()
: <a class="el" href="classtgui_1_1DefaultThemeLoader.html#a1326e3f7aba02004646184b603744d1c">tgui::DefaultThemeLoader</a>
</li>
<li>reload()
: <a class="el" href="classtgui_1_1Button.html#a1c78e51263f1f10b47ee8ba0121e49b0">tgui::Button</a>
, <a class="el" href="classtgui_1_1ChatBox.html#a2d7ca29bc51f03db6b2966525c67ba8b">tgui::ChatBox</a>
, <a class="el" href="classtgui_1_1ChildWindow.html#a24f36c89571747f684b0301fd91626c2">tgui::ChildWindow</a>
, <a class="el" href="classtgui_1_1ComboBox.html#a16b57fc625c17ba25643b3930c5fce51">tgui::ComboBox</a>
, <a class="el" href="classtgui_1_1EditBox.html#ad40eb8c454eeb246d9aeb6fd9014774b">tgui::EditBox</a>
, <a class="el" href="classtgui_1_1Knob.html#ad2bc42896755d2d1a87b92c49db9393e">tgui::Knob</a>
, <a class="el" href="classtgui_1_1Label.html#a1888555da6e124ddca980ce0a15eba2d">tgui::Label</a>
, <a class="el" href="classtgui_1_1ListBox.html#a72152bda2dfe550982fa1d6fef21711c">tgui::ListBox</a>
, <a class="el" href="classtgui_1_1MenuBar.html#aaa3c83f00bfb1a0440e5f0006d03a29b">tgui::MenuBar</a>
, <a class="el" href="classtgui_1_1MessageBox.html#a5266dfbca208e8c4a3fd9b369d25856e">tgui::MessageBox</a>
, <a class="el" href="classtgui_1_1ProgressBar.html#a59c8c3ccbf6c2caaaa068fb280cb2e69">tgui::ProgressBar</a>
, <a class="el" href="classtgui_1_1RadioButton.html#af19d7a9d00feba2aa9008a13c058e9c3">tgui::RadioButton</a>
, <a class="el" href="classtgui_1_1Scrollbar.html#add2726407aec32e92d0b1fcf5f7a1844">tgui::Scrollbar</a>
, <a class="el" href="classtgui_1_1Slider.html#aef4845ecc25b3b6ba08633b39ff108ec">tgui::Slider</a>
, <a class="el" href="classtgui_1_1SpinButton.html#a0626be3d55ddf9b96c05074a915e4bd1">tgui::SpinButton</a>
, <a class="el" href="classtgui_1_1Tab.html#ad5ecd21216d8eed81a211329edf72c9e">tgui::Tab</a>
, <a class="el" href="classtgui_1_1TextBox.html#ab49c36ff08fbe2b85d3b3eabcfeab21c">tgui::TextBox</a>
, <a class="el" href="classtgui_1_1Theme.html#a22dbce626a48780b9bddf239ae8fe834">tgui::Theme</a>
, <a class="el" href="classtgui_1_1Widget.html#a60f67dd2a04f761a47207e42a8f7910b">tgui::Widget</a>
</li>
<li>remove()
: <a class="el" href="classtgui_1_1BoxLayout.html#a511f3f090df459bb80a4d545fea20ccd">tgui::BoxLayout</a>
, <a class="el" href="classtgui_1_1Container.html#a02b900305e231f6ba0de127712fa3837">tgui::Container</a>
, <a class="el" href="classtgui_1_1Grid.html#af91709f527ecea24e0668a36f202cc4d">tgui::Grid</a>
, <a class="el" href="classtgui_1_1Gui.html#aefa11eac30068c5a795a0a4f6822af7d">tgui::Gui</a>
, <a class="el" href="classtgui_1_1Tab.html#a62984df9a422ecfffde3936341e6fd5e">tgui::Tab</a>
</li>
<li>removeAll()
: <a class="el" href="classtgui_1_1Tab.html#ae769ce06da343cd93e48dcbbd24b6f2b">tgui::Tab</a>
</li>
<li>removeAllItems()
: <a class="el" href="classtgui_1_1ComboBox.html#a889c3695af016a7b9fb5523cd533e897">tgui::ComboBox</a>
, <a class="el" href="classtgui_1_1ListBox.html#a76b191bf2f599037d68286acb86864a8">tgui::ListBox</a>
</li>
<li>removeAllLines()
: <a class="el" href="classtgui_1_1ChatBox.html#a3d904acdd8df744dcbad6cbd1cb8c57c">tgui::ChatBox</a>
</li>
<li>removeAllMenus()
: <a class="el" href="classtgui_1_1MenuBar.html#a828d1bc545646b93c9b45788d7cada45">tgui::MenuBar</a>
</li>
<li>removeAllWidgets()
: <a class="el" href="classtgui_1_1BoxLayout.html#a846517f899cb6864a8f0fb7e9006e99a">tgui::BoxLayout</a>
, <a class="el" href="classtgui_1_1Container.html#a55996ecbc42fdb623df7dea8bc4030f2">tgui::Container</a>
, <a class="el" href="classtgui_1_1Grid.html#a9cd6c2de2bad3c2882b9484fa993fe18">tgui::Grid</a>
, <a class="el" href="classtgui_1_1Gui.html#afc0e30cd5ccec51b1371ed6caffd5e45">tgui::Gui</a>
</li>
<li>removeItem()
: <a class="el" href="classtgui_1_1ComboBox.html#a13e783b70be6c898098578ea37cbba3b">tgui::ComboBox</a>
, <a class="el" href="classtgui_1_1ListBox.html#a44099a46f32253ac1b45d55394c57c30">tgui::ListBox</a>
</li>
<li>removeItemById()
: <a class="el" href="classtgui_1_1ComboBox.html#a31f984d394df7a42f91aea1171dc2625">tgui::ComboBox</a>
, <a class="el" href="classtgui_1_1ListBox.html#a749c3feb4d2a26c20c9674adc45f0dea">tgui::ListBox</a>
</li>
<li>removeItemByIndex()
: <a class="el" href="classtgui_1_1ComboBox.html#afa44d5e218c005fdfcaff9e85eed652b">tgui::ComboBox</a>
, <a class="el" href="classtgui_1_1ListBox.html#a829ee56fe2b33d55f592fa7250313d7a">tgui::ListBox</a>
</li>
<li>removeLine()
: <a class="el" href="classtgui_1_1ChatBox.html#ae75477707f17e083416b748b6523c491">tgui::ChatBox</a>
</li>
<li>removeMenu()
: <a class="el" href="classtgui_1_1MenuBar.html#a894e210ea45ce428a9c3acbb029b53fd">tgui::MenuBar</a>
</li>
<li>removeMenuItem()
: <a class="el" href="classtgui_1_1MenuBar.html#a7e8b910fb177cca87cd37a17dad5be06">tgui::MenuBar</a>
</li>
<li>removeTexture()
: <a class="el" href="classtgui_1_1TextureManager.html#a50b26ff0e530657d6c547e605c419bfc">tgui::TextureManager</a>
</li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:47 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
